#
# spec file for package gnome-themes (Version 2.12.1)
#
# Copyright (c) 2007 SUSE LINUX Products GmbH, Nuernberg, Germany.
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
#
# Please submit bugfixes or comments via http://bugs.opensuse.org/
#

# norootforbuild
# usedforbuild    Mesa Mesa-devel aaa_base acl alsa atk atk-devel attr audiofile audit-libs autoconf automake bash bind-libs bind-utils binutils bison bzip2 cairo cairo-devel coreutils cpio cpp cracklib cups-libs cvs cyrus-sasl db dbus-1 dbus-1-devel dbus-1-glib desktop-translations diffutils e2fsprogs esound expat file filesystem fillup findutils flex fontconfig fontconfig-devel freetype2 freetype2-devel gawk gcc gconf2 gconf2-devel gdbm gdbm-devel gettext gettext-devel glib glib-devel glib2 glib2-devel glibc glibc-32bit glibc-devel glibc-locale glitz glitz-devel gnome-common gnome-filesystem gnome-icon-theme gnome-keyring gnome-vfs2 gnome-vfs2-devel gpm grep groff gtk gtk-devel gtk2 gtk2-devel gtk2-engines gzip hal hal-devel icon-naming-utils info insserv intltool klogd less libacl libart_lgpl libart_lgpl-devel libattr libbonobo libbonobo-devel libbonoboui libcom_err libcroco libcroco-devel libdrm libgcc libglade2 libglade2-devel libgnome libgnomecanvas libgnomeprint libgnomeprintui libgnomesu libgnomeui libgsf libgsf-devel libgsf-gnome libgssapi libjpeg libmudflap libnscd libpng libpng-devel librsvg librsvg-devel libstdc++ libtiff libtool libusb libwnck libwnck-devel libxcrypt libxml2 libxml2-devel libzio m4 mDNSResponder-lib make man mktemp module-init-tools ncurses ncurses-devel net-tools netcfg openldap2-client openmotif-libs openssl openssl-devel orbit2 orbit2-devel pam pam-modules pango pango-devel patch perl perl-XML-Parser perl-XML-Simple permissions pkgconfig popt popt-devel procinfo procps psmisc pwdutils rcs readline resmgr rpm sed shared-mime-info strace sysvinit tar tcpd texinfo timezone unzip update-desktop-files util-linux vim xorg-x11-devel xorg-x11-libs zlib zlib-devel

Name:           gnome-themes
%define ximartver 0.6.7
BuildRequires:  gnome-common gtk-devel gtk2-engines icon-naming-utils intltool libglade2-devel librsvg-devel libwnck-devel update-desktop-files
License:        GNU General Public License (GPL)
Group:          System/GUI/GNOME
Autoreqprov:    on
Version:        2.12.1
Release:        33.21
Source0:        %{name}-%{version}.tar.bz2
# http://librsvg.sourceforge.net/
Source1:        spheres-and-crystals-0.7.tar.bz2
Source2:        ximian-artwork-%{ximartver}.tar.bz2
Source6:        novell-button.png
URL:            http://www.gnome.org/
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
Summary:        GNOME Themes
Requires:       gnome-icon-theme
Requires:       tango-icon-theme
# gtk2-engines has Industrial from this version forward.
Requires:       gtk2-engines >= 2.6.4
# WARNING: Clone all patches related to Industrial gtk2 engine to gtk2-engines.
# WARNING: Clone all patches related to Industrial gtk engine to gtk-engines.
Patch0:         gnome-themes-2.4.1-colors.patch
Patch1:         spheres-and-crystals.dif
Patch2:         spheres-and-crystals-0.7-colors.patch
Patch4:         gnome-themes-inherit-industrial.patch
Patch5:         gnome-themes-remove-smokey-and-crux.diff
# gtk2-engines
Patch6:         indus_43092.diff
Patch12:        gnome-themes-grand-canyon-use-sandy-icons.dif
# gtk2-engines
Patch14:        %{name}-industrial-tree-insensitive-text-color.diff
# gtk2-engines gtk-engines
Patch16:        gnome-themes-fortify.patch
Patch17:        gnome-themes-grand-canyon-fix.patch
BuildArchitectures: noarch

%description
GNOME themes, including Ximian Industrial and selected background
images.



Authors:
--------
    Bill Haneman <bill.haneman@sun.com>
    Jakub Steiner <jimmac@ximian.com>
    Garrett LeSage <garrett@ximian.com>
    Suzanna Smith <suzanna.smith@sun.com>
    Calum Benson <calum.benson@sun.com>

%define prefix   /opt/gnome
%debug_package
%prep
%setup -b 1 -b 2
%patch0 -p1
%patch4 -p1
%patch12 -p1
%patch17
# patch needs gnome-common and intltool
cd ../spheres-and-crystals-0.7
%{?suse_update_config:%{suse_update_config}}
%patch1 -p1
%patch2
cd ../gnome-themes-%{version}/
%patch5 -p1
cd ../ximian-artwork-%{ximartver}/
%patch6 -p1
%patch14
%patch16 -p1

%build
rename no nb po/no.*
sed "s/\(ALL_LINGUAS.*\) no /\1 nb /" configure.in > configure.in.tmp && mv configure.in.tmp configure.in
srcdir=$PWD autoreconf --force --install
CFLAGS="$RPM_OPT_FLAGS -fno-strict-aliasing" \
./configure \
                --prefix=%{prefix} \
                --libdir=%{prefix}/%_lib \
                --sysconfdir=/etc%{prefix} \
		--disable-static \
		--enable-all-themes
make %{?jobs:-j %jobs}
cd ../spheres-and-crystals-0.7
srcdir=$PWD autoreconf --force --install
CFLAGS="$RPM_OPT_FLAGS" \
./configure \
                --prefix=%{prefix} \
                --libdir=%{prefix}/%_lib \
                --sysconfdir=/etc%{prefix} \
		--disable-static
make %{?jobs:-j %jobs}
cd ../ximian-artwork-%{ximartver}
CFLAGS="$RPM_OPT_FLAGS" \
./configure \
                --prefix=%{prefix} \
                --libdir=%{prefix}/%_lib \
                --sysconfdir=/etc%{prefix} \
                --disable-static

%install
rm -rf $RPM_BUILD_ROOT
make DESTDIR=$RPM_BUILD_ROOT install
cd ../spheres-and-crystals-0.7
make DESTDIR=$RPM_BUILD_ROOT install
#rm $RPM_BUILD_ROOT%{prefix}/%_lib/gtk-2.0/*/engines/*.la
cd ../ximian-artwork-%{ximartver}
make DESTDIR=$RPM_BUILD_ROOT xmmsdir=/usr/share/xmms/Skins/Industrial install
rm $RPM_BUILD_ROOT%{prefix}/%_lib/gtk-2.0/engines/*.la
rm $RPM_BUILD_ROOT%{prefix}/%_lib/gtk/themes/engines/*.la
cd ../gnome-themes*
mkdir -p $RPM_BUILD_ROOT/usr/X11R6/lib/X11/icons/
ln -s %prefix/share/icons/Industrial $RPM_BUILD_ROOT/usr/X11R6/lib/X11/icons/
# add the suse linux logo on SUSE Linux and background
cp %SOURCE6 $RPM_BUILD_ROOT/%{prefix}/share/pixmaps/novell-button.png
%find_lang %{name}
rm $RPM_BUILD_ROOT%{prefix}/share/locale/*/LC_MESSAGES/ximian-artwork.mo
find $RPM_BUILD_ROOT -name *real* -exec rm -v {} \;
# Industrial/gtk-2.0/gtkrc conflicts with gtk2-engines.
rm $RPM_BUILD_ROOT%{prefix}/share/themes/Industrial/gtk-2.0/*
rmdir $RPM_BUILD_ROOT%{prefix}/share/themes/Industrial/gtk-2.0
rm $RPM_BUILD_ROOT%{prefix}/%_lib/gtk-2.0/engines/libindustrial.so
rmdir $RPM_BUILD_ROOT%{prefix}/%_lib/gtk-2.0/engines/
rmdir $RPM_BUILD_ROOT%{prefix}/%_lib/gtk-2.0/
rm $RPM_BUILD_ROOT%{prefix}/%_lib/gtk/themes/engines/*
rmdir $RPM_BUILD_ROOT%{prefix}/%_lib/gtk/themes/engines
rmdir $RPM_BUILD_ROOT%{prefix}/%_lib/gtk/themes
rmdir $RPM_BUILD_ROOT%{prefix}/%_lib/gtk
rmdir $RPM_BUILD_ROOT%{prefix}/%_lib

%clean
rm -rf $RPM_BUILD_ROOT

%post

%files -f %{name}.lang
%defattr(-, root, root)
%doc AUTHORS COPYING ChangeLog NEWS README
%{prefix}/share/icons/*
%{prefix}/share/themes/*
#%{prefix}/share/eazel-engine
%{prefix}/share/backgrounds/scalable/*.svg
%dir %{prefix}/share/gnome-background-properties
%{prefix}/share/gnome-background-properties/*.xml
%{prefix}/share/pixmaps/backgrounds
%{prefix}/share/pixmaps/*.png
/usr/X11R6/lib/X11/icons

%changelog
* Wed Feb 28 2007 - dobey@suse.de
- Update ximian-artowrk tarball to include updated translations
  List 32x32 directories in index.theme so 32x32 icons get used
* Fri Feb 16 2007 - dobey@suse.de
- Update ximian-artwork tarball to include more translations and
  to use the Gilouche metacity theme for the Industrial metatheme,
  as the Industrial metacity theme has been removed previously
* Fri Jan 26 2007 - dobey@suse.de
- Add patch for Grand Canyon gtk+ theme to work better with slab
* Sun Jan 21 2007 - dobey@suse.de
- Remove industrial metacity patches that are now irrelevant
- Update spec file for a few other minor changes in ximian-artwork
* Fri Jan 19 2007 - dobey@suse.de
- Update ximian-artwork to 0.6.5 to include translations and
  some updated icons as well
  Fixes http:/bugzilla.novell.com/show_bug.cgi?id=179462
* Sat Jan 13 2007 - dobey@suse.de
- Update wallpapers in ximian-artwork for SP1
* Tue Dec 05 2006 - dobey@suse.de
- Update ximian-artwork to 0.6.3 to allow translation
  Needed to fix https://bugzilla.novell.com/show_bug.cgi?id=179462
* Thu Jun 01 2006 - dobey@suse.de
- Update ximian-artwork to 0.6.2 to fix name/screenshot for gdm
  Fixes https://bugzilla.novell.com/show_bug.cgi?id=136812
* Mon Mar 13 2006 - sbrabec@suse.cz
- Removed gtk1 Industrial engine, build as NoArch.
* Mon Feb 27 2006 - dobey@suse.de
- Remove changes to brand gdm theme for SuSE 9.2
- Update ximian-artwork to use unbranded gdm theme
  Fixes https://bugzilla.novell.com/show_bug.cgi?id=136814
* Thu Feb 02 2006 - aj@suse.de
- Reduce BuildRequires.
* Wed Jan 25 2006 - mls@suse.de
- converted neededforbuild to BuildRequires
* Mon Dec 12 2005 - dobey@suse.de
- Update to ximian-artwork 0.6.0
* Mon Dec 12 2005 - sbrabec@suse.cz
- Fixed build of ximian-artwork with latest icon-naming-utils.
* Wed Nov 16 2005 - dobey@suse.de
- Update to ximian-artwork 0.3.0 to fix icon theming issues
* Tue Nov 15 2005 - dobey@suse.de
- Change Industrial icon theme to inherit from Tango, and add a new
  dependency on tango-icon-theme for the package
* Fri Oct 28 2005 - dobey@suse.de
- Update to ximian-artwork 0.2.50 to fix some icon rendering issues
* Thu Oct 13 2005 - gekker@suse.de
- Update to version 2.12.1
* Thu Sep 15 2005 - clahey@suse.de
- Update to ximian-artwork 0.2.49 to fix trash icon. #78534
* Fri Sep 09 2005 - clahey@suse.de
- Remove broken gnome-fs-desktop.png from Industrial icon theme.
  Fixes bug #116263.
* Tue Sep 06 2005 - gekker@suse.de
- Update to version 2.12.0 (GNOME 2.12)
* Tue Aug 23 2005 - gekker@suse.de
- Update to version 2.11.92
- Rediff partially upstreamed patch
* Thu Aug 11 2005 - gekker@suse.de
- Update to version 2.11.91
* Sun Aug 07 2005 - aj@suse.de
- Fix lib64 problems.
* Thu Aug 04 2005 - clahey@suse.de
- Move Industrial gtk2 theme to gtk2-engines.
* Tue Aug 02 2005 - gekker@suse.de
- Update to version 2.11.90
* Wed Jul 27 2005 - clahey@suse.de
- Fixed indus_43092.patch to change the gtkrc.in as well.
* Thu Jul 07 2005 - gekker@suse.de
- Update to version 2.11.4
- Fix to build with -D_FORTIFY_SOURCE=2
* Mon Jun 20 2005 - gekker@suse.de
- Update to version 2.11.3
* Fri Jun 17 2005 - federico@novell.com
- Added ximian-artwork-90546-16x16-icons.patch to fix bug #90546.  Now
  we have custom-drawn 16x16 icons for folders and other items which
  the file chooser uses, instead of scalable icons.
- Added Industrial-16x16-icons.tar.gz to the sources; this contains
  the new icons.
* Wed Mar 23 2005 - gekker@suse.de
- Fix tree-insensitive-text-color (72880).
* Wed Mar 23 2005 - sbrabec@suse.cz
- Do not change icon for mouse over unmaximize button in Industrial
  theme (#74302).
* Fri Mar 18 2005 - hhetter@suse.de
- make Grand Canyon use Sandy as Icon Theme (#73765)
* Wed Mar 16 2005 - clahey@suse.de
- Add new SuSE themed spinner.
* Mon Mar 14 2005 - clahey@suse.de
- Replace novell-button with a SuSE icon.  Art team approved.
* Wed Mar 09 2005 - gekker@suse.de
- Update to version 2.10.0 (GNOME 2.10).
* Mon Mar 07 2005 - clahey@suse.de
- Change comment of Industrial metatheme to refer to Novell Desktop
  instead of Ximian Desktop.
* Fri Mar 04 2005 - clahey@suse.de
- Make Industrial inherit from crystalsvg as well.
* Thu Mar 03 2005 - gekker@suse.de
- update to version 2.9.94
* Mon Feb 07 2005 - gekker@suse.de
- Update to version 2.9.90
* Thu Jan 20 2005 - gekker@suse.de
- Update to version 2.9.4
* Mon Jan 03 2005 - gekker@suse.de
- Update to version 2.9.2.1
* Thu Dec 16 2004 - gekker@suse.de
- Update version to 2.9.2
- Reworked the colors patch so that it would apply.
- Reworked and combined the remove-smokey and remove-crux patches.
* Mon Nov 08 2004 - ro@suse.de
- copy missing mkinstalldirs manually
* Tue Nov 02 2004 - ro@suse.de
- locale rename: no -> nb
* Mon Oct 04 2004 - hhetter@suse.de
- fixate final suse-linux logo
- change background to final version
* Mon Sep 27 2004 - sbrabec@suse.cz
- Removed old RealPlayer branding.
  http://bugzilla.ximian.com/show_bug.cgi?id=66824
* Tue Sep 14 2004 - hhetter@suse.de
- add suse-linux gdm titel logo
- on SUSE Linux > 9.0, patch novell.xml to use the
  suse-linux logo
* Mon Sep 13 2004 - joeshaw@suse.de
- Update to ximian-artwork 0.2.46 (Ximian #65483)
* Wed Sep 08 2004 - dobey@suse.de
- Update to ximian-artwork 0.2.45 (Ximian #58722, #65225)
* Mon Sep 06 2004 - hhetter@suse.de
- adapt menu sidebar for SUSE Linux 9.2
* Thu Sep 02 2004 - hhetter@suse.de
- "SUSE Linux 9.2" in the title box of Industrial GDM Theme
* Tue Aug 24 2004 - joeshaw@suse.de
- Upgraded to ximian-artwork 0.2.43.  (Ximian #63482)
* Mon Aug 23 2004 - joeshaw@suse.de
- Upgraded to ximian-artwork 0.2.42.  (Ximian #58715, #62623, #63484)
* Tue Aug 10 2004 - clahey@suse.de
- Upgraded to ximian-artwork 0.2.41.
* Tue Aug 03 2004 - clahey@suse.de
- Add symlink for X cursors.
* Mon Aug 02 2004 - clahey@suse.de
- Apply metacity theme patch inspired by Fitts Law.
* Mon Aug 02 2004 - ro@suse.de
- fix file list after Crux removal
* Fri Jul 30 2004 - kimmidi@suse.de
- Remove Crux theme (#59019)
* Mon Jul 26 2004 - kimmidi@suse.de
- Correct spec file to change to proper directories before applying
  patches.
* Thu Jul 15 2004 - kimmidi@suse.de
- Fixes bugs #40127 and #43092 in ximian bugzilla.
* Wed Jul 14 2004 - clahey@suse.de
- Upgraded to ximian-artwork 0.2.40.
* Wed Jun 02 2004 - clahey@suse.de
- Upgraded to ximian-artwork 0.2.37.
* Tue May 11 2004 - clahey@suse.de
- Added a missing directory.
* Mon May 10 2004 - clahey@suse.de
- Upgraded to gnome-themes 2.6.1 and ximian-artwork 0.2.36.
* Fri Mar 19 2004 - pmladek@suse.cz
- fixed bg[SELECTED] to correspond to the color used by the native
  gtk2 widget, bg[SELECTED] is used only by OpenOffice.org now
* Thu Mar 18 2004 - sbrabec@suse.cz
- Added --enable-all-themes (#36317).
* Mon Mar 08 2004 - sbrabec@suse.cz
- Fixed xmms skin destination.
* Mon Mar 08 2004 - hhetter@suse.de
- include ximian artwork (0.2.32.1, non-branded)
* Mon Mar 01 2004 - mmj@suse.de
- Add gtk2-engines to Requires:
* Sat Jan 10 2004 - adrian@suse.de
- fix build as user
* Mon Oct 27 2003 - sbrabec@suse.cz
- Updated to version 2.4.1.
* Thu Oct 09 2003 - sbrabec@suse.cz
- Don't build static engines and don't package *.la files.
* Mon Sep 29 2003 - hhetter@suse.de
- updated to version 2.4.0 [GNOME2.4]
* Tue Aug 19 2003 - sbrabec@suse.cz
- Updated neededforbuild (rename of librsvg2, eel2).
* Wed Jul 16 2003 - sbrabec@suse.cz
- Fixed pixmap_path in spheres-and-crystals.
* Mon Jul 14 2003 - sbrabec@suse.cz
- GNOME prefix change to /opt/gnome.
* Wed Jul 09 2003 - sbrabec@suse.cz
- Updated to version 2.2.2.
- Require gnome-icon-theme.
- Prefix clash fix (gtk engines),
- Packaged all files.
* Tue Jul 01 2003 - ro@suse.de
- removed unpackaged files from buildroot
- added libgsf to neededforbuild
* Thu Mar 27 2003 - hhetter@suse.de
- updated gnome-themes to version 2.2.1
- update Spheres and Crystals to version 0.7
* Thu Mar 13 2003 - hhetter@suse.de
- fix build (use autoreconf)
* Fri Feb 14 2003 - hhetter@suse.de
- again prefix to /opt/gnome2 because, themes path is now fixed
  in control center
* Thu Feb 13 2003 - hhetter@suse.de
- prefix to gtk2-prefix to get all themes correctly to work
  with any gdk-pixbufloader engine, and provide pure GTK themes
* Wed Feb 12 2003 - hhetter@suse.de
- fix iconrc for spheres and crystals
* Mon Feb 10 2003 - hhetter@suse.de
- include the Spheres-and-crystals SVG Theme
* Thu Feb 06 2003 - sbrabec@suse.cz
- Update to version 2.2.
- DESTDIR fix.
* Fri Jan 31 2003 - hhetter@suse.de
- updated to version 1.0
* Thu Jan 16 2003 - sbrabec@suse.cz
- Fixed %%prefix to /opt/gnome2.
* Thu Jan 16 2003 - sbrabec@suse.cz
- Added new package.
